v 15.0 Third Party 1 9923
Download for v 15.0 Deploy on Odoo.sh Live Preview
Required Apps Invoicing (account)
Lines of code 2446
Technical Name accounting_pdf_reports
LicenseLGPL-3
Websitehttps://www.youtube.com/watch?v=yA4NLwOLZms
Also available in version v 12.0 v 13.0 v 14.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Lines of code 2446
Technical Name accounting_pdf_reports
LicenseLGPL-3
Websitehttps://www.youtube.com/watch?v=yA4NLwOLZms
Also available in version v 12.0 v 13.0 v 14.0

Accounting Reports Odoo 15

Added Financial Reports:

Partner Ledger Report.


Journals Audit.


General Ledger.


Trial Balance.


Aged Partner Balance.


Profit and Loss.


Balance Sheet.


Tax Report.



Accounting Reports

All in one financial reports for odoo community edition


General Ledger

General ledger report with accounts, partners and analytic account filter


Report

Partner Ledger

Partner ledger report with partner filter.


Report

Aged Partner Balance


Report




If you need any support or want more features, just contact us:


Email: odoomates@gmail.com



Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
RPC_ERROR Odoo Server Error
by
Hussain
on 6/12/22, 10:46 PM

Hi , many thanks for the app , im facing the following error when i click on review  from Accounting Dashboard.


Traceback (most recent call last):
  File "c:\odoo15\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "c:\odoo15\server\odoo\http.py", line 687, in dispatch
    result = self._call_function(**self.params)
  File "c:\odoo15\server\odoo\http.py", line 359, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "c:\odoo15\server\odoo\service\model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "c:\odoo15\server\odoo\http.py", line 348, in checked_call
    result = self.endpoint(*a, **kw)
  File "c:\odoo15\server\odoo\http.py", line 916, in __call__
    return self.method(*args, **kw)
  File "c:\odoo15\server\odoo\http.py", line 535, in response_wrap
    response = f(*args, **kw)
  File "c:\odoo15\server\odoo\addons\web\controllers\main.py", line 1347, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "c:\odoo15\server\odoo\addons\web\controllers\main.py", line 1339, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "c:\odoo15\server\odoo\api.py", line 460, in call_kw
    result = _call_kw_model(method, model, args, kwargs)
  File "c:\odoo15\server\odoo\api.py", line 433, in _call_kw_model
    result = method(recs, *args, **kwargs)
  File "c:\odoo15\server\odoo\addons\account\models\company.py", line 346, in setting_chart_of_accounts_action
    company.create_op_move_if_non_existant()
  File "c:\odoo15\server\odoo\addons\account\models\company.py", line 382, in create_op_move_if_non_existant
    'date': opening_date,
  File "<decorator-gen-239>", line 2, in create
  File "c:\odoo15\server\odoo\api.py", line 412, in _model_create_multi
    return create(self, [arg])
  File "c:\odoo15\server\odoo\addons\purchase\models\account_invoice.py", line 102, in create
    moves = super(AccountMove, self).create(vals_list)
  File "<decorator-gen-202>", line 2, in create
  File "c:\odoo15\server\odoo\api.py", line 413, in _model_create_multi
    return create(self, arg)
  File "c:\odoo15\server\odoo\addons\account\models\account_move.py", line 2262, in create
    return super(AccountMove, self).create(vals_list)
  File "<decorator-gen-128>", line 2, in create
  File "c:\odoo15\server\odoo\api.py", line 413, in _model_create_multi
    return create(self, arg)
  File "c:\odoo15\server\odoo\addons\mail\models\mail_thread.py", line 265, in create
    threads = super(MailThread, self).create(vals_list)
  File "<decorator-gen-67>", line 2, in create
  File "c:\odoo15\server\odoo\api.py", line 413, in _model_create_multi
    return create(self, arg)
  File "c:\odoo15\server\odoo\addons\base\models\ir_fields.py", line 613, in create
    recs = super().create(vals_list)
  File "<decorator-gen-13>", line 2, in create
  File "c:\odoo15\server\odoo\api.py", line 413, in _model_create_multi
    return create(self, arg)
  File "c:\odoo15\server\odoo\models.py", line 4070, in create
    records = self._create(data_list)
  File "c:\odoo15\server\odoo\models.py", line 4235, in _create
    records._validate_fields(name for data in data_list for name in data['stored'])
  File "c:\odoo15\server\odoo\models.py", line 1367, in _validate_fields
    check(self)
  File "c:\odoo15\server\odoo\models.py", line 763, in wrapper
    return func(self)
  File "c:\odoo15\server\odoo\addons\account\models\sequence_mixin.py", line 60, in _constrains_date_sequence
    sequence = record[record._sequence_field]
  File "c:\odoo15\server\odoo\models.py", line 5888, in __getitem__
    return self._fields[key].__get__(self, type(self))
  File "c:\odoo15\server\odoo\fields.py", line 1054, in __get__
    self.recompute(record)
  File "c:\odoo15\server\odoo\fields.py", line 1243, in recompute
    self.compute_value(recs)
  File "c:\odoo15\server\odoo\fields.py", line 1265, in compute_value
    records._compute_field_value(self)
  File "c:\odoo15\server\odoo\addons\mail\models\mail_thread.py", line 411, in _compute_field_value
    return super()._compute_field_value(field)
  File "c:\odoo15\server\odoo\models.py", line 4255, in _compute_field_value
    getattr(self, field.compute)()
  File "c:\odoo15\server\odoo\addons\account\models\account_move.py", line 1184, in _compute_name
    highest_name = self[0]._get_last_sequence() if self else False
  File "c:\odoo15\server\odoo\addons\account\models\sequence_mixin.py", line 184, in _get_last_sequence
    self.env.cr.execute(query, param)
  File "<decorator-gen-3>", line 2, in execute
  File "c:\odoo15\server\odoo\sql_db.py", line 89, in check
    return f(self, *args, **kwargs)
  File "c:\odoo15\server\odoo\sql_db.py", line 310, in execute
    res = self._obj.execute(query, params)
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "c:\odoo15\server\odoo\http.py", line 643, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "c:\odoo15\server\odoo\http.py", line 301, in _handle_exception
    raise exception.with_traceback(None) from new_cause
psycopg2.errors.InvalidRegularExpression: invalid regular expression: quantifier operand invalid


by
Muhammad Eltyar
on 2/22/22, 6:30 AM

Hi, thanks for the app, i'm facing the below error when upgrading the module(15.0.6.1.0):

Traceback (most recent call last):
  File "/odoo15/odoo15-server/odoo/http.py", line 644, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/odoo15/odoo15-server/odoo/http.py", line 302, in _handle_exception
    raise exception.with_traceback(None) from new_cause
odoo.tools.convert.ParseError: while parsing /odoo15/custom_addons/accounting_pdf_reports/wizards/aged_partner.xml:4
Error while validating view near:
<form string="Report Options" __validate__="1">
                <group col="4">
                    <field name="date_from"/>
Field 'company_id' used in domain of field 'journal_ids' ([('company_id', '=', company_id)]) must be present in view but is missing.
View error context:
{'file': '/odoo15/custom_addons/accounting_pdf_reports/wizards/aged_partner.xml',
 'line': 1,
 'name': 'Aged Partner Balance',
 'view': ir.ui.view(1436,),
 'view.model': 'account.aged.trial.balance',
 'view.parent': ir.ui.view(),
 'xmlid': 'account_aged_balance_view'}
Re:
by
Odoo Mates
on 2/22/22, 1:43 PM Author

Hi,

Thanks for reporting we have fixed it and updated the app. Please download and try with the latest code.

FIX: https://github.com/odoomates/odooapps/commit/3daf78864eac3fa8daae5c9f392922c0aa77b819

Reason: Due to some changes odoo made inside odoo account module on 21/02/2022,

see: https://github.com/odoo/odoo/commit/3d91e0264ac62493a85a9117ffa0ccde03bb9587